import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { RepetedPaymentAlarmLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 10:21
 */
interface RepetedPaymentAlarmLogCU extends ConditionUtil<RepetedPaymentAlarmLogCU> {
    LOT_ID: FieldUtil<RepetedPaymentAlarmLogCU>;
    CAR_PLATE_NUM: FieldUtil<RepetedPaymentAlarmLogCU>;
    TOTAL_FEE: FieldUtil<RepetedPaymentAlarmLogCU>;
    COME_TIME: FieldUtil<RepetedPaymentAlarmLogCU>;
    PAY_TIME: FieldUtil<RepetedPaymentAlarmLogCU>;
    REPETEND_COUNT: FieldUtil<RepetedPaymentAlarmLogCU>;
    REPETED_DATA: FieldUtil<RepetedPaymentAlarmLogCU>;
    CREATE_TIME: FieldUtil<RepetedPaymentAlarmLogCU>;
}
declare class RepetedPaymentAlarmLogMU extends TableUtilImpl<RepetedPaymentAlarmLogCU, RepetedPaymentAlarmLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): RepetedPaymentAlarmLogCU;
    static get LOT_ID(): FieldUtil<RepetedPaymentAlarmLogCU>;
    static get CAR_PLATE_NUM(): FieldUtil<RepetedPaymentAlarmLogCU>;
    static get TOTAL_FEE(): FieldUtil<RepetedPaymentAlarmLogCU>;
    static get COME_TIME(): FieldUtil<RepetedPaymentAlarmLogCU>;
    static get PAY_TIME(): FieldUtil<RepetedPaymentAlarmLogCU>;
    static get REPETEND_COUNT(): FieldUtil<RepetedPaymentAlarmLogCU>;
    static get REPETED_DATA(): FieldUtil<RepetedPaymentAlarmLogCU>;
    static get CREATE_TIME(): FieldUtil<RepetedPaymentAlarmLogCU>;
    get LOT_ID(): FieldUtil<RepetedPaymentAlarmLogCU>;
    get CAR_PLATE_NUM(): FieldUtil<RepetedPaymentAlarmLogCU>;
    get TOTAL_FEE(): FieldUtil<RepetedPaymentAlarmLogCU>;
    get COME_TIME(): FieldUtil<RepetedPaymentAlarmLogCU>;
    get PAY_TIME(): FieldUtil<RepetedPaymentAlarmLogCU>;
    get REPETEND_COUNT(): FieldUtil<RepetedPaymentAlarmLogCU>;
    get REPETED_DATA(): FieldUtil<RepetedPaymentAlarmLogCU>;
    get CREATE_TIME(): FieldUtil<RepetedPaymentAlarmLogCU>;
}
export { RepetedPaymentAlarmLogMU, RepetedPaymentAlarmLogCU };
